# GraphAlgo_ZyklusBacktracking (1_graphentester)

Package algorithmen

## Class GraphAlgo_ZyklusBacktracking

- java.lang.Object
- - java.lang.Thread
  - - algorithmen.GraphAlgo
    - - algorithmen.GraphAlgo_ZyklusBacktracking

All Implemented Interfaces:
  `Runnable`

    public class GraphAlgo_ZyklusBacktracking
    extends GraphAlgo

Dieser Algorithmus ist ein Beispiel für einen Backtracking-Algorithmus. Er sucht einen Zyklus im Graphen. Algorithmus: Backtracking

Version:
  1.0 from 10.12.2020
Author:
  Thomas Schaller

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class algorithmen.GraphAlgo

`g, inArbeit`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`GraphAlgo_ZyklusBacktracking()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `backtracking​(Knoten k)`
`void` `fuehreAlgorithmusAus()`
`String` `getBezeichnung()`

### Methods inherited from class algorithmen.GraphAlgo

`getStartKnoten, getWaitforclick, getWaitforrepaint, info, infoIndentLess, infoIndentMore, melde, resetInfo, run, setGraph, setGUIElemente, setSpeed, setStartKnoten, setStepping, setWaitforclick, setWaitforrepaint, step`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphAlgo_ZyklusBacktracking

    public GraphAlgo_ZyklusBacktracking()

### Method Detail

#### getBezeichnung

    public String getBezeichnung()

Specified by:
  `getBezeichnung` in class `GraphAlgo`

#### fuehreAlgorithmusAus

    public void fuehreAlgorithmusAus()

Specified by:
  `fuehreAlgorithmusAus` in class `GraphAlgo`

#### backtracking

    public List<String> backtracking​(Knoten k)